# eric5.Preferences.ViewProfileDialog

Module implementing a dialog to configure the various view profiles.

### Global Attributes

None

### Classes

ViewProfileDialog | Class implementing a dialog to configure the various view profiles.

### Functions

None

## ViewProfileDialog

Class implementing a dialog to configure the various view profiles.

### Derived from

QDialog

### Class Attributes

None

### Class Methods

None

### Methods

ViewProfileDialog | Constructor
getVisibilities | Public method to retrieve the visibilities configuration.

### Static Methods

None

#### ViewProfileDialog (Constructor)

ViewProfileDialog(layout, editVisibilities, debugVisibilities, parent=None)

Constructor

layout
  type of the window layout (string)
editVisibilities
  list of flags giving the visibilities of the various parts for the 'edit' view profile (list of boolean)
debugVisibilities
  list of flags giving the visibilities of the various parts for the 'debug' view profile (list of boolean)
parent
  parent widget of this dialog (QWidget)

Raises ValueError:
  raised to indicate an invalid layout

#### ViewProfileDialog.getVisibilities

getVisibilities()

Public method to retrieve the visibilities configuration.

Returns:
  tuple of two lists giving the visibilities of the various parts ( two lists of boolean)

Up